<?xml version="1.0" encoding="UTF-8"?>

<settings>
	<!-- Thanks to David Czihak for the original Markdown.sugar! -->
	<language id="espresso.default.markdown">
		<syntax-name>language-root.markdown</syntax-name>
		<name>Markdown</name>
		<detectors>
			<extension>markdown</extension>
			<extension>markdn</extension>
			<extension>mkdown</extension>
			<extension>mdown</extension>
			<extension>mkdn</extension>
			<extension>mkd</extension>
			<extension>md</extension>
			
			<!-- Generic extension, but detectable Markdown headers -->
			<combo>
				<extension>txt</extension>
				<match-content lines="1">^\#{1,6}[ \t]*.+</match-content>
			</combo>
			<combo>
				<extension>txt</extension>
				<match-content lines="2">^(?:={4,}|-{4,})[ \t]*$</match-content>
			</combo>
			<!-- MultiMarkdown-specific detection for some common metadata keys -->
			<combo>
				<extension>txt</extension>
				<match-content lines="10">^(?i)(?:Title|Author|Base ?Header ?Level|Date):\s+\S</match-content>
			</combo>
		</detectors>
		
		<default-extension>md</default-extension>
	</language>
	
</settings>